Page MenuHomePhabricator

2016 MW cached data ? (Special pages>Maintenance reports)
Closed, ResolvedPublic

Description

Why is the reported MW cached date for almost all "Special pages>Maintenance reports" pages pointing way back into 2016 ?
In case its related to an intentional action (probably). Why was that done ?

And ... are those pages still working ? Some seem to be (well kinda), others not so mush.

Those pages 'can' be useful for site administration purposes. But for that they need to be kept kinda lean. Not always easy ... but if possible a good thing.

Event Timeline

MvGulik created this task.Jun 11 2019, 8:07 PM

The reports haven't been generated since 2016, which is why the specialpages say as much. Generating these reports is an expensive operation, so many wikis disable automatic generation and instead periodically run maintenance scripts to regenerate them; the scripts just haven't been run on WikiApiary for a few years, probably because very few people are using the reports there, and there've been bigger problems to resolve.

Kghbln added a subscriber: Kghbln.Jun 12 2019, 7:48 AM

Well yeah. However setting up cronjobs to work on the miser mode pages is not complicated.

Aah, I wasn't trying to imply it was complicated to do; sorry if that's what it sounded like. Rather, I was just trying to say that this is a relatively low-visibility issue, and that people's attentions have largely been focused elsewhere.

many wikis disable automatic generation and instead periodically run maintenance scripts to regenerate them

Well yeah. However setting up cronjobs to work on the miser mode pages is not complicated.

Seems like a good middle ground solution to me. Having those pages at least update every N weeks/months seems more preferable than not updating them at all.

the scripts just haven't been run on WikiApiary for a few years, probably because very few people are using the reports there.

That seems a bit of an odd argument to me in this case. If there not updated/maintained, that in itself effectively undermines any interest/motivation in using them (any user, new or old).

there've been bigger problems to resolve.

Are you revering to specific problems here (I have not scanned trough WikiApiary open issues yet) ?
Or are you revering to available human time here (which seems more likely to me) ?

the scripts just haven't been run on WikiApiary for a few years, probably because very few people are using the reports there.

That seems a bit of an odd argument to me in this case. If there not updated/maintained, that in itself effectively undermines any interest/motivation in using them (any user, new or old).

It's circular reasoning because it's a circular problem. Even given that, though, keep in mind that (as far as I know) WikiApiary has never had a particularly thriving community; at least in my experience, it tends to be wikis with healthy communities whose maintenance reports get the most attention.

there've been bigger problems to resolve.

Are you revering to specific problems here (I have not scanned trough WikiApiary open issues yet) ?
Or are you revering to available human time here (which seems more likely to me) ?

A little of column A, a little of column B.

MvGulik added a comment.EditedJun 13 2019, 6:56 AM

(as far as I know) WikiApiary has never had a particularly thriving community

Seems that way at the moment.

Think that the WikiApiary wiki itself could do with some internal help/guides/hints
that might help in attracting and/or keeping new users that might be
interested in doing some work on it.

(edit in italic)

MvGulik closed this task as Resolved.Jun 14 2019, 7:03 PM
MvGulik removed a subscriber: MvGulik.

Closing, as technically the asked question was answered.

(A separate request/task to reactive the miser mode pages (trough cronjobs or by other means) is intended/planned (somewhere in the future) ... for now at least)